Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.adapter
Class PrivateBinderAdapter

    java.lang.Object
      com.google.gwt.inject.rebind.adapter.PrivateBinderAdapter

All Implemented Interfaces:
  GinBinder, PrivateGinBinder

    public class PrivateBinderAdapter

extends java.lang.Object
implements PrivateGinBinder

Provides the `PrivateGinBinder` interface and adapts it to a regular Guice `PrivateBinder`.

Method Summary
`
`<T> GinAnnotatedBindingBuilder<T>`
` | `bind(java.lang.Class<T> clazz)` See the EDSL examples at `GinBinder`
`
`<T> GinLinkedBindingBuilder<T>`
` | `bind(Key<T> key)` See the EDSL examples at `GinBinder`
`
`<T> GinAnnotatedBindingBuilder<T>`
` | `bind(TypeLiteral<T> clazz)` See the EDSL examples at `GinBinder`
`GinAnnotatedConstantBindingBuilder` | `bindConstant()` See the EDSL examples at `GinBinder`
`GinAnnotatedElementBuilder` | `expose(java.lang.Class<?> type)` Expose the given class.
`void` | `expose(Key<?> key)` Expose the given key.
`GinAnnotatedElementBuilder` | `expose(TypeLiteral<?> type)` Expose the given type.
`void` | `install(GinModule install)` Uses the given module to configure more bindings.
`void` | `requestStaticInjection(java.lang.Class<?>... types)` Upon successful creation, the `Ginjector` will inject static fields and methods in the given classes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gwt.inject.client.binder.GinBinder
`bind, bind, bind, bindConstant, install, requestStaticInjection`

Method Detail

### expose

    public void expose(Key<?> key)

  Description copied from interface: `PrivateGinBinder`
  Expose the given key.

  Specified by:
    `expose` in interface `PrivateGinBinder`

### expose

    public GinAnnotatedElementBuilder expose(java.lang.Class<?> type)

  Description copied from interface: `PrivateGinBinder`
  Expose the given class. Returns a `GinAnnotatedElementBuilder` which can be used for adding an annotation.

  Specified by:
    `expose` in interface `PrivateGinBinder`

### expose

    public GinAnnotatedElementBuilder expose(TypeLiteral<?> type)

  Description copied from interface: `PrivateGinBinder`
  Expose the given type. Returns a `GinAnnotatedElementBuilder` which can be used for adding an annotation.

  Specified by:
    `expose` in interface `PrivateGinBinder`

### bind

    public <T> GinAnnotatedBindingBuilder<T> bind(java.lang.Class<T> clazz)

  Description copied from interface: `GinBinder`
  See the EDSL examples at `GinBinder`

  Specified by:
    `bind` in interface `GinBinder`

### bind

    public <T> GinAnnotatedBindingBuilder<T> bind(TypeLiteral<T> clazz)

  Description copied from interface: `GinBinder`
  See the EDSL examples at `GinBinder`

  Specified by:
    `bind` in interface `GinBinder`

### bind

    public <T> GinLinkedBindingBuilder<T> bind(Key<T> key)

  Description copied from interface: `GinBinder`
  See the EDSL examples at `GinBinder`

  Specified by:
    `bind` in interface `GinBinder`

### bindConstant

    public GinAnnotatedConstantBindingBuilder bindConstant()

  Description copied from interface: `GinBinder`
  See the EDSL examples at `GinBinder`

  Specified by:
    `bindConstant` in interface `GinBinder`

### install

    public void install(GinModule install)

  Description copied from interface: `GinBinder`
  Uses the given module to configure more bindings.

  Specified by:
    `install` in interface `GinBinder`

### requestStaticInjection

    public void requestStaticInjection(java.lang.Class<?>... types)

  Description copied from interface: `GinBinder`
  Upon successful creation, the `Ginjector` will inject static fields and methods in the given classes.

  Specified by:
    `requestStaticInjection` in interface `GinBinder`
  Parameters:
    `types` - for which static members will be injected

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD